package com.mortals.xhx.module.access.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.access.model.AccessLogEntity;
/**
 * 访问日志查询对象
 *
 * @author zxfei
 * @date 2022-08-22
 */
public class AccessLogQuery extends AccessLogEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** TraceId */
    private List<String> traceIDList;

    /** 开始 父服务调用id */
    private Integer pspanIdStart;

    /** 结束 父服务调用id */
    private Integer pspanIdEnd;

    /** 增加 父服务调用id */
    private Integer pspanIdIncrement;

    /** 父服务调用id列表 */
    private List <Integer> pspanIdList;

    /** 开始 当前服务跨度Id */
    private Integer spanIdStart;

    /** 结束 当前服务跨度Id */
    private Integer spanIdEnd;

    /** 增加 当前服务跨度Id */
    private Integer spanIdIncrement;

    /** 当前服务跨度Id列表 */
    private List <Integer> spanIdList;

    /** 应用名称 */
    private List<String> appNameList;

    /** 实例IP */
    private List<String> hostNameList;

    /** 目标服务 */
    private List<String> targetServerList;

    /** 日志等级 */
    private List<String> logLevelList;

    /** 请求者IP */
    private List<String> requestIpList;

    /** 请求方式 */
    private List<String> methodList;

    /** 用户浏览器UA */
    private List<String> uaList;

    /** 请求URI */
    private List<String> uriList;

    /** 请求参数，json序列化 */
    private List<String> requestDataList;

    /** 响应结果, */
    private List<String> responseDataList;

    /** 开始 日志产生时间 */
    private String logTimeStart;

    /** 结束 日志产生时间 */
    private String logTimeEnd;

    /** 开始 请求时间 */
    private String requestTimeStart;

    /** 结束 请求时间 */
    private String requestTimeEnd;

    /** 开始 响应时间 */
    private String responseTimeStart;

    /** 结束 响应时间 */
    private String responseTimeEnd;

    /** 开始 持续时间，单位毫秒 */
    private Long durationStart;

    /** 结束 持续时间，单位毫秒 */
    private Long durationEnd;

    /** 增加 持续时间，单位毫秒 */
    private Long durationIncrement;

    /** 持续时间，单位毫秒列表 */
    private List <Long> durationList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 协议 */
    private List<String> schemaDataList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AccessLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AccessLogQuery> andConditionList;

    public AccessLogQuery(){}

    /**
     * 获取 开始 主键ID
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 TraceId
     * @return traceIDList
     */
    public List<String> getTraceIDList(){
        return this.traceIDList;
    }

    /**
     * 设置 TraceId
     * @param traceIDList
     */
    public void setTraceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
    }
    /**
     * 获取 开始 父服务调用id
     * @return pspanIdStart
     */
    public Integer getPspanIdStart(){
        return this.pspanIdStart;
    }

    /**
     * 设置 开始 父服务调用id
     * @param pspanIdStart
     */
    public void setPspanIdStart(Integer pspanIdStart){
        this.pspanIdStart = pspanIdStart;
    }

    /**
     * 获取 结束 父服务调用id
     * @return $pspanIdEnd
     */
    public Integer getPspanIdEnd(){
        return this.pspanIdEnd;
    }

    /**
     * 设置 结束 父服务调用id
     * @param pspanIdEnd
     */
    public void setPspanIdEnd(Integer pspanIdEnd){
        this.pspanIdEnd = pspanIdEnd;
    }

    /**
     * 获取 增加 父服务调用id
     * @return pspanIdIncrement
     */
    public Integer getPspanIdIncrement(){
        return this.pspanIdIncrement;
    }

    /**
     * 设置 增加 父服务调用id
     * @param pspanIdIncrement
     */
    public void setPspanIdIncrement(Integer pspanIdIncrement){
        this.pspanIdIncrement = pspanIdIncrement;
    }

    /**
     * 获取 父服务调用id
     * @return pspanIdList
     */
    public List<Integer> getPspanIdList(){
        return this.pspanIdList;
    }

    /**
     * 设置 父服务调用id
     * @param pspanIdList
     */
    public void setPspanIdList(List<Integer> pspanIdList){
        this.pspanIdList = pspanIdList;
    }

    /**
     * 获取 开始 当前服务跨度Id
     * @return spanIdStart
     */
    public Integer getSpanIdStart(){
        return this.spanIdStart;
    }

    /**
     * 设置 开始 当前服务跨度Id
     * @param spanIdStart
     */
    public void setSpanIdStart(Integer spanIdStart){
        this.spanIdStart = spanIdStart;
    }

    /**
     * 获取 结束 当前服务跨度Id
     * @return $spanIdEnd
     */
    public Integer getSpanIdEnd(){
        return this.spanIdEnd;
    }

    /**
     * 设置 结束 当前服务跨度Id
     * @param spanIdEnd
     */
    public void setSpanIdEnd(Integer spanIdEnd){
        this.spanIdEnd = spanIdEnd;
    }

    /**
     * 获取 增加 当前服务跨度Id
     * @return spanIdIncrement
     */
    public Integer getSpanIdIncrement(){
        return this.spanIdIncrement;
    }

    /**
     * 设置 增加 当前服务跨度Id
     * @param spanIdIncrement
     */
    public void setSpanIdIncrement(Integer spanIdIncrement){
        this.spanIdIncrement = spanIdIncrement;
    }

    /**
     * 获取 当前服务跨度Id
     * @return spanIdList
     */
    public List<Integer> getSpanIdList(){
        return this.spanIdList;
    }

    /**
     * 设置 当前服务跨度Id
     * @param spanIdList
     */
    public void setSpanIdList(List<Integer> spanIdList){
        this.spanIdList = spanIdList;
    }

    /**
     * 获取 应用名称
     * @return appNameList
     */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }
    /**
     * 获取 实例IP
     * @return hostNameList
     */
    public List<String> getHostNameList(){
        return this.hostNameList;
    }

    /**
     * 设置 实例IP
     * @param hostNameList
     */
    public void setHostNameList(List<String> hostNameList){
        this.hostNameList = hostNameList;
    }
    /**
     * 获取 目标服务
     * @return targetServerList
     */
    public List<String> getTargetServerList(){
        return this.targetServerList;
    }

    /**
     * 设置 目标服务
     * @param targetServerList
     */
    public void setTargetServerList(List<String> targetServerList){
        this.targetServerList = targetServerList;
    }
    /**
     * 获取 日志等级
     * @return logLevelList
     */
    public List<String> getLogLevelList(){
        return this.logLevelList;
    }

    /**
     * 设置 日志等级
     * @param logLevelList
     */
    public void setLogLevelList(List<String> logLevelList){
        this.logLevelList = logLevelList;
    }
    /**
     * 获取 请求者IP
     * @return requestIpList
     */
    public List<String> getRequestIpList(){
        return this.requestIpList;
    }

    /**
     * 设置 请求者IP
     * @param requestIpList
     */
    public void setRequestIpList(List<String> requestIpList){
        this.requestIpList = requestIpList;
    }
    /**
     * 获取 请求方式
     * @return methodList
     */
    public List<String> getMethodList(){
        return this.methodList;
    }

    /**
     * 设置 请求方式
     * @param methodList
     */
    public void setMethodList(List<String> methodList){
        this.methodList = methodList;
    }
    /**
     * 获取 用户浏览器UA
     * @return uaList
     */
    public List<String> getUaList(){
        return this.uaList;
    }

    /**
     * 设置 用户浏览器UA
     * @param uaList
     */
    public void setUaList(List<String> uaList){
        this.uaList = uaList;
    }
    /**
     * 获取 请求URI
     * @return uriList
     */
    public List<String> getUriList(){
        return this.uriList;
    }

    /**
     * 设置 请求URI
     * @param uriList
     */
    public void setUriList(List<String> uriList){
        this.uriList = uriList;
    }
    /**
     * 获取 请求参数，json序列化
     * @return requestDataList
     */
    public List<String> getRequestDataList(){
        return this.requestDataList;
    }

    /**
     * 设置 请求参数，json序列化
     * @param requestDataList
     */
    public void setRequestDataList(List<String> requestDataList){
        this.requestDataList = requestDataList;
    }
    /**
     * 获取 响应结果,
     * @return responseDataList
     */
    public List<String> getResponseDataList(){
        return this.responseDataList;
    }

    /**
     * 设置 响应结果,
     * @param responseDataList
     */
    public void setResponseDataList(List<String> responseDataList){
        this.responseDataList = responseDataList;
    }
    /**
     * 获取 开始 日志产生时间
     * @return logTimeStart
     */
    public String getLogTimeStart(){
        return this.logTimeStart;
    }

    /**
     * 设置 开始 日志产生时间
     * @param logTimeStart
     */
    public void setLogTimeStart(String logTimeStart){
        this.logTimeStart = logTimeStart;
    }

    /**
     * 获取 结束 日志产生时间
     * @return logTimeEnd
     */
    public String getLogTimeEnd(){
        return this.logTimeEnd;
    }

    /**
     * 设置 结束 日志产生时间
     * @param logTimeEnd
     */
    public void setLogTimeEnd(String logTimeEnd){
        this.logTimeEnd = logTimeEnd;
    }

    /**
     * 获取 开始 请求时间
     * @return requestTimeStart
     */
    public String getRequestTimeStart(){
        return this.requestTimeStart;
    }

    /**
     * 设置 开始 请求时间
     * @param requestTimeStart
     */
    public void setRequestTimeStart(String requestTimeStart){
        this.requestTimeStart = requestTimeStart;
    }

    /**
     * 获取 结束 请求时间
     * @return requestTimeEnd
     */
    public String getRequestTimeEnd(){
        return this.requestTimeEnd;
    }

    /**
     * 设置 结束 请求时间
     * @param requestTimeEnd
     */
    public void setRequestTimeEnd(String requestTimeEnd){
        this.requestTimeEnd = requestTimeEnd;
    }

    /**
     * 获取 开始 响应时间
     * @return responseTimeStart
     */
    public String getResponseTimeStart(){
        return this.responseTimeStart;
    }

    /**
     * 设置 开始 响应时间
     * @param responseTimeStart
     */
    public void setResponseTimeStart(String responseTimeStart){
        this.responseTimeStart = responseTimeStart;
    }

    /**
     * 获取 结束 响应时间
     * @return responseTimeEnd
     */
    public String getResponseTimeEnd(){
        return this.responseTimeEnd;
    }

    /**
     * 设置 结束 响应时间
     * @param responseTimeEnd
     */
    public void setResponseTimeEnd(String responseTimeEnd){
        this.responseTimeEnd = responseTimeEnd;
    }

    /**
     * 获取 开始 持续时间，单位毫秒
     * @return durationStart
     */
    public Long getDurationStart(){
        return this.durationStart;
    }

    /**
     * 设置 开始 持续时间，单位毫秒
     * @param durationStart
     */
    public void setDurationStart(Long durationStart){
        this.durationStart = durationStart;
    }

    /**
     * 获取 结束 持续时间，单位毫秒
     * @return $durationEnd
     */
    public Long getDurationEnd(){
        return this.durationEnd;
    }

    /**
     * 设置 结束 持续时间，单位毫秒
     * @param durationEnd
     */
    public void setDurationEnd(Long durationEnd){
        this.durationEnd = durationEnd;
    }

    /**
     * 获取 增加 持续时间，单位毫秒
     * @return durationIncrement
     */
    public Long getDurationIncrement(){
        return this.durationIncrement;
    }

    /**
     * 设置 增加 持续时间，单位毫秒
     * @param durationIncrement
     */
    public void setDurationIncrement(Long durationIncrement){
        this.durationIncrement = durationIncrement;
    }

    /**
     * 获取 持续时间，单位毫秒
     * @return durationList
     */
    public List<Long> getDurationList(){
        return this.durationList;
    }

    /**
     * 设置 持续时间，单位毫秒
     * @param durationList
     */
    public void setDurationList(List<Long> durationList){
        this.durationList = durationList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 协议
     * @return schemaDataList
     */
    public List<String> getSchemaDataList(){
        return this.schemaDataList;
    }

    /**
     * 设置 协议
     * @param schemaDataList
     */
    public void setSchemaDataList(List<String> schemaDataList){
        this.schemaDataList = schemaDataList;
    }
    /**
     * 设置  主键ID
     * @param id
     */
    public AccessLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public AccessLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public AccessLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public AccessLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public AccessLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 TraceId
     * @param traceID
     */
    public AccessLogQuery traceID(String traceID){
        setTraceID(traceID);
        return this;
    }

    /**
     * 设置 TraceId
     * @param traceIDList
     */
    public AccessLogQuery traceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
        return this;
    }

    /**
     * 设置  父服务调用id
     * @param pspanId
     */
    public AccessLogQuery pspanId(Integer pspanId){
        setPspanId(pspanId);
        return this;
    }

    /**
     * 设置 开始 父服务调用id
     * @param pspanIdStart
     */
    public AccessLogQuery pspanIdStart(Integer pspanIdStart){
        this.pspanIdStart = pspanIdStart;
        return this;
    }

    /**
     * 设置 结束 父服务调用id
     * @param pspanIdEnd
     */
    public AccessLogQuery pspanIdEnd(Integer pspanIdEnd){
        this.pspanIdEnd = pspanIdEnd;
        return this;
    }

    /**
     * 设置 增加 父服务调用id
     * @param pspanIdIncrement
     */
    public AccessLogQuery pspanIdIncrement(Integer pspanIdIncrement){
        this.pspanIdIncrement = pspanIdIncrement;
        return this;
    }

    /**
     * 设置 父服务调用id
     * @param pspanIdList
     */
    public AccessLogQuery pspanIdList(List<Integer> pspanIdList){
        this.pspanIdList = pspanIdList;
        return this;
    }

    /**
     * 设置  当前服务跨度Id
     * @param spanId
     */
    public AccessLogQuery spanId(Integer spanId){
        setSpanId(spanId);
        return this;
    }

    /**
     * 设置 开始 当前服务跨度Id
     * @param spanIdStart
     */
    public AccessLogQuery spanIdStart(Integer spanIdStart){
        this.spanIdStart = spanIdStart;
        return this;
    }

    /**
     * 设置 结束 当前服务跨度Id
     * @param spanIdEnd
     */
    public AccessLogQuery spanIdEnd(Integer spanIdEnd){
        this.spanIdEnd = spanIdEnd;
        return this;
    }

    /**
     * 设置 增加 当前服务跨度Id
     * @param spanIdIncrement
     */
    public AccessLogQuery spanIdIncrement(Integer spanIdIncrement){
        this.spanIdIncrement = spanIdIncrement;
        return this;
    }

    /**
     * 设置 当前服务跨度Id
     * @param spanIdList
     */
    public AccessLogQuery spanIdList(List<Integer> spanIdList){
        this.spanIdList = spanIdList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param appName
     */
    public AccessLogQuery appName(String appName){
        setAppName(appName);
        return this;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public AccessLogQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
        return this;
    }


    /**
     * 设置 实例IP
     * @param hostName
     */
    public AccessLogQuery hostName(String hostName){
        setHostName(hostName);
        return this;
    }

    /**
     * 设置 实例IP
     * @param hostNameList
     */
    public AccessLogQuery hostNameList(List<String> hostNameList){
        this.hostNameList = hostNameList;
        return this;
    }


    /**
     * 设置 目标服务
     * @param targetServer
     */
    public AccessLogQuery targetServer(String targetServer){
        setTargetServer(targetServer);
        return this;
    }

    /**
     * 设置 目标服务
     * @param targetServerList
     */
    public AccessLogQuery targetServerList(List<String> targetServerList){
        this.targetServerList = targetServerList;
        return this;
    }


    /**
     * 设置 日志等级
     * @param logLevel
     */
    public AccessLogQuery logLevel(String logLevel){
        setLogLevel(logLevel);
        return this;
    }

    /**
     * 设置 日志等级
     * @param logLevelList
     */
    public AccessLogQuery logLevelList(List<String> logLevelList){
        this.logLevelList = logLevelList;
        return this;
    }


    /**
     * 设置 请求者IP
     * @param requestIp
     */
    public AccessLogQuery requestIp(String requestIp){
        setRequestIp(requestIp);
        return this;
    }

    /**
     * 设置 请求者IP
     * @param requestIpList
     */
    public AccessLogQuery requestIpList(List<String> requestIpList){
        this.requestIpList = requestIpList;
        return this;
    }


    /**
     * 设置 请求方式
     * @param method
     */
    public AccessLogQuery method(String method){
        setMethod(method);
        return this;
    }

    /**
     * 设置 请求方式
     * @param methodList
     */
    public AccessLogQuery methodList(List<String> methodList){
        this.methodList = methodList;
        return this;
    }


    /**
     * 设置 用户浏览器UA
     * @param ua
     */
    public AccessLogQuery ua(String ua){
        setUa(ua);
        return this;
    }

    /**
     * 设置 用户浏览器UA
     * @param uaList
     */
    public AccessLogQuery uaList(List<String> uaList){
        this.uaList = uaList;
        return this;
    }


    /**
     * 设置 请求URI
     * @param uri
     */
    public AccessLogQuery uri(String uri){
        setUri(uri);
        return this;
    }

    /**
     * 设置 请求URI
     * @param uriList
     */
    public AccessLogQuery uriList(List<String> uriList){
        this.uriList = uriList;
        return this;
    }


    /**
     * 设置 请求参数，json序列化
     * @param requestData
     */
    public AccessLogQuery requestData(String requestData){
        setRequestData(requestData);
        return this;
    }

    /**
     * 设置 请求参数，json序列化
     * @param requestDataList
     */
    public AccessLogQuery requestDataList(List<String> requestDataList){
        this.requestDataList = requestDataList;
        return this;
    }


    /**
     * 设置 响应结果,
     * @param responseData
     */
    public AccessLogQuery responseData(String responseData){
        setResponseData(responseData);
        return this;
    }

    /**
     * 设置 响应结果,
     * @param responseDataList
     */
    public AccessLogQuery responseDataList(List<String> responseDataList){
        this.responseDataList = responseDataList;
        return this;
    }




    /**
     * 设置  持续时间，单位毫秒
     * @param duration
     */
    public AccessLogQuery duration(Long duration){
        setDuration(duration);
        return this;
    }

    /**
     * 设置 开始 持续时间，单位毫秒
     * @param durationStart
     */
    public AccessLogQuery durationStart(Long durationStart){
        this.durationStart = durationStart;
        return this;
    }

    /**
     * 设置 结束 持续时间，单位毫秒
     * @param durationEnd
     */
    public AccessLogQuery durationEnd(Long durationEnd){
        this.durationEnd = durationEnd;
        return this;
    }

    /**
     * 设置 增加 持续时间，单位毫秒
     * @param durationIncrement
     */
    public AccessLogQuery durationIncrement(Long durationIncrement){
        this.durationIncrement = durationIncrement;
        return this;
    }

    /**
     * 设置 持续时间，单位毫秒
     * @param durationList
     */
    public AccessLogQuery durationList(List<Long> durationList){
        this.durationList = durationList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AccessLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AccessLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AccessLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AccessLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AccessLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }



    /**
     * 设置 协议
     * @param schemaData
     */
    public AccessLogQuery schemaData(String schemaData){
        setSchemaData(schemaData);
        return this;
    }

    /**
     * 设置 协议
     * @param schemaDataList
     */
    public AccessLogQuery schemaDataList(List<String> schemaDataList){
        this.schemaDataList = schemaDataList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AccessLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AccessLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AccessLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AccessLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}